<div class="item-grid">
  <div class="ui two column grid" *ngIf="gridSettings.gridFlow.isFluid">
    <app-item-cell
      *ngFor="let item of gridItems"
      class="column"
      [cellIcon]="item.icon">
    </app-item-cell>
    <app-item-cell
      class="column"
      [isEmpty]="true"
      *ngFor="let cell of getMaxCells()">
    </app-item-cell>
  </div>
  <div
    class="ui column grid"
    [style.width.px]="gridSettings.gridOrientation.isVertical && getStaticColumns()"
    [style.height.px]="gridSettings.gridOrientation.isHorizontal && getStaticColumns()"
    *ngIf="gridSettings.gridFlow.isStatic">
    <app-item-cell
      *ngFor="let item of gridItems"
      [cellWidth]="gridCellSize"
      [cellHeight]="gridCellSize"
      [cellIcon]="item.icon">
    </app-item-cell>
    <ng-template [ngIf]="gridSettings.hasEmptyCells">
    <app-item-cell
      [cellWidth]="gridCellSize"
      [cellHeight]="gridCellSize"
      [isEmpty]="true"
      *ngFor="let cell of getMaxCells()">
    </app-item-cell>
    </ng-template>
  </div>
</div>
